summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Brandt <alunduil@gentoo.org>2015-08-09 17:09:49 -0500
committerAlex Brandt <alunduil@gentoo.org>2015-08-09 17:17:40 -0500
commitcda006f6cb23b6b3e45ac37578b0a70b37febb46 (patch)
tree4318676137da4ed0a96c0ebf918f4ffd2e7c156e
parentsys-auth/fprintd: fix distfile name. (diff)
downloadgentoo-cda006f6cb23b6b3e45ac37578b0a70b37febb46.tar.gz
gentoo-cda006f6cb23b6b3e45ac37578b0a70b37febb46.tar.bz2
gentoo-cda006f6cb23b6b3e45ac37578b0a70b37febb46.zip
app-admin/supernova: add version 2.0.7
Package-Manager: portage-2.2.20
-rw-r--r--app-admin/supernova/Manifest1
-rw-r--r--app-admin/supernova/supernova-2.0.7.ebuild53
2 files changed, 54 insertions, 0 deletions
diff --git a/app-admin/supernova/Manifest b/app-admin/supernova/Manifest
index 4b9734c14de..17c413bce75 100644
--- a/app-admin/supernova/Manifest
+++ b/app-admin/supernova/Manifest
@@ -1,3 +1,4 @@
DIST supernova-1.0.7.tar.gz 17783 SHA256 e0336590e8b4a73404acbfd7379285c631daf628baaba64c9f42d839982d9949 SHA512 54e98ab0a7f926b96dc2da62951cb552767515ae8a94ef88fbcf654db6079c91d6971b526663116e36bab795939605ec108aa39247e57c5dacfccbab4048b7d9 WHIRLPOOL b769f5c4b3d284eb17447b9b9d63b12bbcb8c8c87637ce8e6999d3bdf245f5b47194f9454e4b273c0b176b7fae5497346a0657d34ed335b8e7039cd273cb9fe0
DIST supernova-2.0.0.tar.gz 18298 SHA256 43b27ee9ed2ca7b0b5860bf52422750e215b60cb71eca106a57b4f900faef24e SHA512 a5c439cfe489991d5ae7f0f63e858b1200ac8df8f1556871f79f8cfc97862d46aae555aee9c97565308388305bd721ecce1f91221824f425caf19acb92f5ac8a WHIRLPOOL e4514e9c0312c68f1c017a92f1959180db042da0cd38ef83079bcee93344758383b41c06b5c51d1139b970dfdae51fda03f8f041d1788a533f9ca71645a7bcf9
DIST supernova-2.0.5.tar.gz 18219 SHA256 8219f6e42e364aceba5d1b70211522ba76fafad16374f71319a0e43c7f615489 SHA512 737649bb0d5e7ee21d9721cba8556617afffdd8cfa287f9d08fa3d81bfa98eb35a6aeeded9c13e600d355616cd3983bfc80148c0934d2b7791da2724e420c9c0 WHIRLPOOL b9204b5fb265bd7384b8724c62a5a10a4220f34c9ebe20f8f95945f12399c6fb291abb3086b5a09cb988fca8229ec99377f84394c98f15b6874ae140396ab8a9
+DIST supernova-2.0.7.tar.gz 18516 SHA256 5fc2cc9eaf6a7cd0bd355b867240bae2b15c66b1e3ff4f5206b591c3ae155837 SHA512 f1271cac15c04f8f4dc1e1c4d92bd6214019215a9c2b1f567268a49e122852f1e3e67fb0325720b450176c073358f99fe2cbefb602055ac2d650d41e839202a3 WHIRLPOOL 7392ccf2e1ee8adac46141478c05d1c1f5876d2a1ac0ce9adefa182ece0cb26d3c9e800f9d1d4c7c5c0978512a736da527903c3e7f34bdd45405599b5641927c
diff --git a/app-admin/supernova/supernova-2.0.7.ebuild b/app-admin/supernova/supernova-2.0.7.ebuild
new file mode 100644
index 00000000000..e4f0808bfc8
--- /dev/null
+++ b/app-admin/supernova/supernova-2.0.7.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-admin/supernova/supernova-2.0.5.ebuild,v 1.1 2015/08/01 22:14:19 alunduil Exp $
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 )
+
+inherit bash-completion-r1 distutils-r1
+
+DESCRIPTION="novaclient wrapper for multiple nova environments"
+HOMEPAGE="https://github.com/rackerhacker/supernova"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc examples test"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="
+ ${CDEPEND}
+ doc? ( >=dev-python/mkdocs-0.14.0[${PYTHON_USEDEP}] )
+ test? ( dev-python/pytest[${PYTHON_USEDEP}] )
+"
+RDEPEND="
+ ${CDEPEND}
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/configobj[${PYTHON_USEDEP}]
+ >=dev-python/keyring-0.9.2[${PYTHON_USEDEP}]
+ dev-python/python-novaclient[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+python_compile_all() {
+ if use doc; then
+ mkdocs build || die "docs failed to build"
+ fi
+}
+
+python_test() {
+ distutils_install_for_testing
+ cd "${TEST_DIR}"/lib || die
+ py.test || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( site/. )
+ use examples && local EXAMPLES=( example_configs/. )
+
+ distutils-r1_python_install_all
+
+ newbashcomp contrib/${PN}-completion.bash ${PN}
+}